PolyStyle (KML Framework API)
Keywords: org.boehn.kmlframework.kml.PolyStyle class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.kml
Class PolyStyle

    java.lang.Object
      org.boehn.kmlframework.kml.KmlObject
          org.boehn.kmlframework.kml.ColorStyle
              org.boehn.kmlframework.kml.PolyStyle

    public class PolyStyle

extends ColorStyle

Constructor Summary
`PolyStyle()`
`PolyStyle(java.lang.String color, ColorModeEnum colorMode, java.lang.Boolean fill, java.lang.Boolean outline)`

Method Summary
`java.lang.Boolean` | `getFill()`
`java.lang.Boolean` | `getOutline()`
`void` | `setFill(java.lang.Boolean fill)`
`void` | `setOutline(java.lang.Boolean outline)`
`void` | `write(Kml kml)`
`void` | `writeDelete(Kml kml)`

Methods inherited from class org.boehn.kmlframework.kml.ColorStyle
`getColor, getColorMode, setColor, setColorMode, writeInner`

Methods inherited from class org.boehn.kmlframework.kml.KmlObject
`booleanToInt, enumToString, getId, getIdAndTargetIdFormatted, getTargetId, setId, setTargetId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolyStyle

    public PolyStyle()

### PolyStyle

    public PolyStyle(java.lang.String color,
                     ColorModeEnum colorMode,
                     java.lang.Boolean fill,
                     java.lang.Boolean outline)

Method Detail

### getFill

    public java.lang.Boolean getFill()

### setFill

    public void setFill(java.lang.Boolean fill)

### getOutline

    public java.lang.Boolean getOutline()

### setOutline

    public void setOutline(java.lang.Boolean outline)

### write

    public void write(Kml kml)
               throws KmlException

  Specified by:
    `write` in class `KmlObject`
  Throws:
    `KmlException`

### writeDelete

    public void writeDelete(Kml kml)
                     throws KmlException

  Specified by:
    `writeDelete` in class `KmlObject`
  Throws:
    `KmlException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD